<!-- templates/home.html -->
{% extends 'base.html' %}

{% load gestion_projets_extras %}

{% block title %}{{ project.subject }}{% endblock %}
{% block titlePage %}{{ project.subject }}{% endblock %}

{% block breadcrumbs %}
<li class="page-item"><a href="{% url 'home' %}" class="page-link"><span class="mif-list"></span></a></li>
<li class="page-item"><a href="{% url 'gestion_projets:session_list' %}" class="page-link">Sessions</a></li>
<li class="page-item"><a href="{% url 'gestion_projets:session_view' pk=session.id %}" class="page-link">{{ session.session_name }}</a></li>
<li class="page-item"><a href="{% url 'gestion_projets:project_view' pk=project.id %}" class="page-link">Projet</a></li>
{% endblock %}

{% block menu %}
    {% include "includes/menu.html" with active_tab='tab1' %}
{% endblock %}

{% block content %}
<!-- Group Admin ------------------------->
{% if request.user|has_group:"Tutor" %}

<div class="m-3">
    <div class="panel mt-4" >

        <div id="_admin_id{{ project.id }}">
            <div class="grid p-5">
                <div class="row">
                    <div class="cell-lg-2"><strong>Le Tuteur :</strong></div>
                    <div class="cell-lg-10"><A HREF="mailto:{{ project.subject.user.email }}"><span class="mif-contacts-mail mif-2x fg-blue"> {{ project.subject.user.first_name }} {{ project.subject.user.last_name }}</span></A></div>
                </div>
                <div class="row">
                    <div class="cell-lg-2"><strong>Membres :</strong></div>
                    <div class="cell-lg-10"><A HREF="mailto:{% for user in project.users.all %}{{ user.email }};{% endfor %}">
                        <span class="mif-contacts-mail mif-2x fg-blue"> {% for user in project.users.all %}{{ user.first_name }} {{ user.last_name }} {% endfor %}</span></A>
                    </div>
                </div>
                <div class="row">
                    <div class="cell-lg-2"><strong>Lien GIT :</strong></div>
                    <div class="cell-lg-10">{{ project.git_url }}</div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="m-3">
    <div class="row">
        <div class="cell-lg-3 cell-sm-6 mt-2">
            <div class="icon-box border bd-cyan">
                <div class="icon bg-cyan fg-white"><span class="mif-file-empty"></span></div>
                <div class="content p-4">
                    <div class="text-upper">Comptes rendus</div>
                    <div class="text-upper text-bold text-lead">{{ project|count_report }} / {{ session|count_date_report }}</div>
                </div>
            </div>
        </div>
        <div class="cell-lg-3 cell-sm-6 mt-2">
            <div class="icon-box border bd-red">
                <div class="icon bg-red fg-white"><span class="mif-versions"></span></div>
                <div class="content p-4">
                    <div class="text-upper">Total Comptes rendus</div>
                    <div class="text-upper text-bold text-lead">{{ session.datereport_set.count }}</div>
                </div>
            </div>
        </div>
        <div class="cell-lg-3 cell-sm-6 mt-2">
            <div class="icon-box border bd-cyan">
                <div class="icon bg-cyan fg-white"><span class="mif-star-empty"></span></div>
                <div class="content p-4">
                    <div class="text-upper">Nombre d'étoiles</div>
                    <div class="text-upper text-bold text-lead">{{ project|count_star_report }} / {{ session|count_star_date_report }}</div>
                </div>
            </div>
        </div>
        <div class="cell-lg-3 cell-sm-6 mt-2">
            <div class="icon-box border bd-red">
                <div class="icon bg-red fg-white"><span class="mif-sun"></span></div>
                <div class="content p-4">
                    <div class="text-upper">Nombre maximum d'étoiles</div>
                    <div class="text-upper text-bold text-lead">{{ session|count_star_total_report }}</div>
                </div>
            </div>
        </div>
    </div>
</div>


<div class="grid m-3">
        <div class="row">
            <!-- -------------------------------- DEPOSIT ----------------------------------- -->
            <div class="cell-lg-6">

                    <div class="panel p-5" >
                        <h3>Etapes principales</h3>
                        {% if session.datedeposit_set.count == 0 %}
                            <!-- Pas de compte rendu de session-->
                            <p>Pas de dépôt à rendre</p>
                        {% else %}
                        <!-- Liste des étapes -->
                        <table class="table">
                            <thead>
                            <tr>
                                <th>Date limite</th>
                                <th>Titre</th>
                                <th>Action</th>
                                <th>Validation</th>
                            </tr>
                            </thead>
                            <tbody>
                                {% for datedeposit in session.datedeposit_set.all %}
                                <tr>
                                    <td>{{ datedeposit.date_limit }}</td>
                                    <td>{{ datedeposit.title }}</td>

                                    {% if project|exist_deposit:datedeposit  %}
                                        <!-- Dépôt étudiant déposé -->
                                        {% with depositProject=project|get_deposit:datedeposit %}
                                            {% for deposit in depositProject %}
                                                <!-- Si c'est le bon dépôt -->
                                                <td>
                                                    {% if datedeposit.date_limit < deposit.date_deposit  %}
                                                        <span class="mif-warning mif-2x fg-red" title="Date limite dépassée"></span>
                                                    {% endif %}
                                                    Déposé le {{ deposit.date_deposit }}
                                                    <div id="info-box-admin-deposit-{{ deposit.id }}" class="info-box-1" data-width="720" data-role="infobox"  style="overflow-y:scroll;">
                                                        <span class="button square closer"></span>
                                                        <div class="info-box-content">
                                                            <h3>Dépôt du {{ datedeposit.title }}</h3>
                                                            <center>Déposé le {{ deposit.date_deposit }} par {{ deposit.user.first_name }} {{ deposit.user.last_name }}</center>
                                                            <p>Description : {{ deposit.description|safe }}</p>
                                                        </div>
                                                        <center><a class="image-button success" href="{{ deposit.upload.url }}" target="_blank"><span class="mif-file-text icon"></span>
                                                            <span class="caption">Voir</span>
                                                        </a></center><br><br>

                                                        <form action="{% url 'gestion_projets:deposit_validate_project' project.id deposit.id %}" method="POST" enctype="multipart/form-data">
                                                            {% csrf_token %}
                                                            <center>
                                                            <input name="note" data-role="rating" data-values="1, 2, 3, 4, 5" data-star-color="cyan"  data-value="{{ deposit.note }}"><br>Mettre une note sur le document (de 0 à 5)</center>

                                                            <center><button class="button info" title="Valider note du dépôt" type="submit">Valider</button></center><br>

                                                        </form> 

                                                    </div>  
                                                    <button class="image-button success" onclick="$('#info-box-admin-deposit-{{ deposit.id }}').data('infobox').open()"><span class="mif-file-text icon"></span>
                                                            <span class="caption">Voir</span>
                                                        </button>
                                                </td>
                                                <td>
                                                    {% if deposit.is_valid %}
                                                        <!--span class="pl-10-md mif-checkmark mif-2x fg-green"></span-->
                                                        {% for i in deposit.note|times %}
                                                            <span class="mif-star-full fg-green"></span>     
                                                        {% endfor %}
                                                        {% for i in deposit.note|timesMinus5 %}
                                                            <span class="mif-star-empty fg-red"></span>     
                                                        {% endfor %}
                                                    {% else %}
                                                        <span class="pl-10-md mif-cross mif-2x fg-red"></span>
                                                    {% endif %}
                                                </td>
                                            {% endfor %}
                                        {% endwith %}
                                    {% else %}
                                        <!-- Dépôt étudiant non déposé -->
                                        <td>En attente</td>
                                        <td>
                                            <span class="pl-10-md mif-cross mif-2x fg-red"></span>
                                        </td>
                                    {% endif %}
                                </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                        {% endif %}
                    </div>
            </div>

            <!-- -------------------------------- REPORT ----------------------------------- -->
            <div class="cell-lg-6">
                    <div class="panel p-5" >
                        <h3>Comptes rendus</h3>
                        {% if session.datereport_set.count == 0 %}
                            <!-- Pas de compte rendu de session-->
                            <p>Pas de compte rendu à rendre</p>
                        {% else %}

                            <!-- Liste des comptes rendus -->
                            <table class="table">
                                <thead>
                                <tr>
                                    <th>Date limite</th>
                                    <th>Détail</th>
                                    <th>Action</th>
                                    <th>Validation</th>
                                </tr>
                                </thead>
                                <tbody>
                                    {% for datereport in session.datereport_set.all %}
                                    <tr >
                                        <td>{{ datereport.date_limit }}</td>
                                        
                                        {% if project|exist_report:datereport  %}
                                            <!-- Compte rendu étudiant déposé -->
                                            {% with reportProject=project|get_report:datereport %}
                                                
                                            {% for report in reportProject %}
                                                {% if report.dateReport == datereport  %}
                                                    <!-- Si c'est le bon compte rendu -->
                                                    <td>
                                                        {% if datereport.date_limit < report.date_deposit  %}
                                                            <span class="mif-warning mif-2x fg-red" title="Date limite dépassée"></span>
                                                        {% endif %}
                                                        Déposé le {{ report.date_deposit }}
                                                    </td>
                                                    <td>
                                                        <div id="info-box-admin-report-{{ report.id }}" class="info-box-1" data-width="720" data-role="infobox"  style="overflow-y:scroll;">
                                                            <span class="button square closer"></span>
                                                            <div class="info-box-content">
                                                                <h3>Compte Rendu du {{ report.dateReport.date_limit }}</h3> 
                                                                <p>Déposé le {{ report.date_deposit }} par {{ report.user.first_name }} {{ report.user.last_name }}</p>
                                                                <p>{{ report.description|safe }}</p>

                                                    <form action="{% url 'gestion_projets:report_validate_project' project.id report.id %}" method="POST" enctype="multipart/form-data">
                                                        {% csrf_token %}
                                                        <input name="checkbox_contact" type="checkbox" data-role="checkbox" data-caption="Valider si il y a eu un contact avec le tuteur depuis le dernier CR" {% if report.checkbox_contact %}checked{% endif %}> <BR>
                                                        <input name="checkbox_task_previous" type="checkbox" data-role="checkbox" data-caption="Valider si l'annonce lors du dernier CR a été respectée" {% if report.checkbox_task_previous %}checked{% endif %}> <BR>
                                                        <input name="checkbox_task_next" type="checkbox" data-role="checkbox" data-caption="Valider si l'annonce des tâches à réaliser jusqu'au prochain CR est cohérente" {% if report.checkbox_task_next %}checked{% endif %}> <BR>
                                                        <input name="checkbox_members" type="checkbox" data-role="checkbox" data-caption="Valider si l'attribution des tâches entre les membres est cohérente" {% if report.checkbox_members %}checked{% endif %}> <BR>
                                                        <input name="checkbox_time" type="checkbox" data-role="checkbox" data-caption="Valider si le CR a été rendu dans les temps" {% if report.checkbox_time %}checked{% endif %}> <BR>
                                                        <p>Commentaire :</p>
                                                        <textarea name="comment" data-role="textarea">{% if report.comment %}{{ report.comment }}{% endif %}</textarea><BR>
                                                        <center><button class="button info" title="Valider évaluation du CR" type="submit">Valider</button></center>

                                                    </form> 

                                                            </div>
                                                        </div>  
                                                        <button class="image-button success" onclick="$('#info-box-admin-report-{{ report.id }}').data('infobox').open()">   
                                                            <span class="mif-file-text icon"></span>
                                                            <span class="caption">Voir</span>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        {% if report.is_valid %}
                                                            <!--span class="pl-10-md mif-checkmark mif-2x fg-green" title="Validation par le tuteur"></span><BR-->
         
                                                            {% if report.checkbox_contact %}
                                                                <span class="mif-star-full fg-green" title="Contact du tuteur"></span>
                                                            {% else %}
                                                                <span class="mif-star-empty fg-red" title="Contact du tuteur"></span>
                                                            {% endif %}
                                                            {% if report.checkbox_task_previous %}
                                                                <span class="mif-star-full fg-green" title="Tâches de la période précédente"></span>
                                                            {% else %}
                                                                <span class="mif-star-empty fg-red" title="Tâches de la période précédente"></span>
                                                            {% endif %}
                                                            {% if report.checkbox_task_next %}
                                                                <span class="mif-star-full fg-green" title="Tâches prévu pour la prochaine période"></span>
                                                            {% else %}
                                                                <span class="mif-star-empty fg-red" title="Tâches prévu pour la prochaine période"></span>
                                                            {% endif %}
                                                            {% if report.checkbox_members %}
                                                                <span class="mif-star-full fg-green" title="Distribution entre les membres du groupe"></span>
                                                            {% else %}
                                                                <span class="mif-star-empty fg-red" title="Distribution entre les membres du groupe"></span>
                                                            {% endif %}
                                                            {% if report.checkbox_time %}
                                                                <span class="mif-star-full fg-green" title="Déposé dans les temps"></span>
                                                            {% else %}
                                                                <span class="mif-star-empty fg-red" title="Déposé dans les temps"></span>
                                                            {% endif %}
                                                        {% else %}
                                                            <span class="pl-10-md mif-cross mif-2x fg-red" title="Non validé par le tuteur"></span>
                                                        {% endif %}
                                                    </td>
                                                {% endif %}
                                            {% endfor %}
                                            {% endwith %}
                                        {% else %}
                                            <!-- Compte rendu étudiant non déposé -->
                                            <td>En attente</td>
                                            <td>En attente</td>
                                            <td>
                                                <span class="pl-10-md mif-cross mif-2x fg-red"></span>
                                            </td>
                                        {% endif %}
                                    </tr>
                                    {% endfor %}
                                </tbody>
                            </table>
                        {% endif %}

                    </div>
            </div>
        </div>
    </div>
</div>


{% endif %}


    </div>
	</div>
{% endblock %}
